#! /usr/bin/env python3

import numpy
from tensorflow.keras.applications.inception_v3 import decode_predictions, InceptionV3, preprocess_input
from tensorflow.keras.preprocessing.image import load_img, img_to_array

model = InceptionV3(weights = 'imagenet')
model.summary()
image = load_img('picture.jpg', target_size = (299, 299))
imageArray = img_to_array(image)
imageArray = numpy.expand_dims(imageArray, axis = 0)
imageArray = preprocess_input(imageArray)
print(imageArray.shape)

prediction = model.predict(imageArray)
decodedPrediction = decode_predictions(prediction, top = 3)[0]
print(decodedPrediction)
